import type { DetailedHTMLProps, HTMLAttributes, ReactElement, ReactNode } from 'react';
type CarouselProps = DetailedHTMLProps<HTMLAttributes<HTMLDivElement>, HTMLDivElement> & {
    children: ReactNode;
};
type SlidesProps = DetailedHTMLProps<HTMLAttributes<HTMLDivElement>, HTMLDivElement> & {
    children: ReactElement[];
};
type ControlsProps = DetailedHTMLProps<HTMLAttributes<HTMLButtonElement>, HTMLButtonElement> & {
    children: ReactNode;
    direction: 'next' | 'prev';
};
type PaginationProps = DetailedHTMLProps<HTMLAttributes<HTMLDivElement>, HTMLDivElement> & {
    buttonClassName?: string | undefined;
    children?: (index: number) => ReactElement<DetailedHTMLProps<HTMLAttributes<HTMLButtonElement>, HTMLButtonElement>>;
};
export declare const useCarousel: ({ loop }?: {
    loop?: boolean;
}) => {
    Carousel: ({ ...rest }: CarouselProps) => JSX.Element;
    Slides: ({ children, className, ...rest }: SlidesProps) => JSX.Element;
    Control: ({ direction, ...rest }: ControlsProps) => JSX.Element;
    Pagination: ({ buttonClassName, children, ...rest }: PaginationProps) => JSX.Element;
};
export {};
